-module(echo).
-export([start/1, loop/0]).

hostName() -> 'client_node@darukhost'.

start(_) ->
    Epmd = epmd(),
    os:cmd(Epmd ++ " -daemon"),
    erlang:display("distribution starting..."),
    erl_distribution:start([echo_node, shortnames]),
    erlang:set_cookie(client_node, nocookie),
    erlang:display("distribution started."),
    SrvPid = spawn(echo, loop, []),
    register(echosrv, SrvPid).

loop() ->
    erlang:display("server awaits..."),
    receive
	{I, ToDo} ->
	    case ToDo of 
		"square" ->
		    N = mymath:square(I),
		    {client, hostName()} ! {N},
		    loop()
	    end;
	Other ->
	    loop()
    end.

epmd() ->    
    filename:join(["Epmd", "epmd"]).
